## Class TSqlMapCacheKey

Description

TSqlMapCacheKey class.

Provides a hash of the object to be cached.

- since: 3.1
- version: $Id: TSqlMapCacheModel.php 1555 2006-12-04 00:02:23Z wei $
- author: Wei Zhuo <weizho[at]gmail[dot]com>

Located in /Data/SqlMap/Configuration/TSqlMapCacheModel.php (line 187)

Method Summary
TSqlMapCacheKey __construct (mixed $object)
string generateKey (string $string)
string getHash ()
Methods
Constructor __construct (line 194)

- access: public

TSqlMapCacheKey __construct (mixed $object)

- mixed $object: object to be cached.

generateKey (line 203)

- return: crc32 hash of the serialized object.
- access: protected

string generateKey (string $string)

- string $string: serialized object

getHash (line 211)

- return: object hash.
- access: public

string getHash ()

Documentation generated on Mon, 21 Apr 2008 11:36:16 -0400 by phpDocumentor 1.3.0RC4